Jump to content

[Tuto][Initié] Topic officiel Gentoo


Recommended Posts

  • Replies 946
  • Created
  • Last Reply

Mwaha expat 2 en ~arch ! Le revdep-rebuild va faire un hécatombe chez les mouettes orientales de patagonie :o

Ah, je me disais bien que cette saloperie...

Je reste avec la 1.95.8 de la branche stable tant que je peut vu le soucis qu'elle à apparament causée (voir le forum off)...

Link to post
Share on other sites
Mwaha expat 2 en ~arch ! Le revdep-rebuild va faire un hécatombe chez les mouettes orientales de patagonie :o

Moi c'est fini... et au moins ça c'est fait... parce que de toute façon tout le monde va devoir y passer tôt ou tard :zarb:

Pour ce que ça cause, le seul truc, c'est que la version de la librairie passe de libexpat.0 à libexpat.1... mais le problème c'est que beaucoup de programmes sont liés avec, donc il faut tous les recompiler...

Link to post
Share on other sites

C'est sure qu'il faudra bien y passer tot ou tard, comme xorg modulaire, xgl et compiz... D'un coté je m'y mettrai bien mais mettre 250 lignes dans mon package.keyword sa me dit moyen et carement passer le system en ~x86 j'hésite encore plus ;)

Alors ducoup j'espere qu'ils vont se magner de le mettre dans la branche stable... ;)

Link to post
Share on other sites

as tu as remarqué aussi !

emerge te précise qu'il faut que tu fasses un :

revdep-rebuild --library libexpat.so.0

par contre sans un *hideux* ln -s libexpat.so.0 libexpat.so.1.5.0 tu n'iras pas très loin

Link to post
Share on other sites
!!! Please `export I_PROMISE_TO_SUPPLY_PATCHES_WITH_BUGS=1` or define it in your make.conf if you want to use this ebuild. This is to try and cut down on people filing bugs for a compiler we do not currently support.

:roule:

Link to post
Share on other sites

Je suis aussi passé à expat2, sans aucun problèmes. Juste du recompiler après... euh... de tête, ceux que j'ai observé parce qu'ils ne se lancait pas pendant que le revdep-rebuild était en cours :

Presque tout kde (et encore, le presque...), OpenOffice2 (non, pas les binaires, le vrai), svn, j'en passe, et des meilleurs ;-)

Sinon j'aime bien le message de gcc-4.2 :roule:

Link to post
Share on other sites
!!! Please `export I_PROMISE_TO_SUPPLY_PATCHES_WITH_BUGS=1` or define it in your make.conf if you want to use this ebuild. This is to try and cut down on people filing bugs for a compiler we do not currently support.

:smack:

:sucre: aussi

Trop forts les mainteneurs de GCC ;)

Link to post
Share on other sites
Trop forts les mainteneurs de GCC :transpi:

Euh c'est pas les mainteneurs de gcc, c'est les gars de gentoo qui font les ebuilds à priori... (bon ça m'étonnerais pas que certains fassent les 2...)

Et il faut signaler que c'est pas nouveau, à chaque version très instable (4.2.0 *alpha* !) c'est la même chose...

Link to post
Share on other sites
Trop forts les mainteneurs de GCC :fumer:

Euh c'est pas les mainteneurs de gcc, c'est les gars de gentoo qui font les ebuilds à priori... (bon ça m'étonnerais pas que certains fassent les 2...)

Et il faut signaler que c'est pas nouveau, à chaque version très instable (4.2.0 *alpha* !) c'est la même chose...

Bien sûr que je parlais des gars qui s'occupent des ebuilds, enfin c'est normal :fumer:

Sinon j'ai une grosse merdouille avec mes fontes, je ne sais pas ce qu'il s'est passé, sous KDE mes polices ne s'affichent plus :/

J'ai réinstallé QT, tous les paquets de polices installés, etc., rien, ca ne s'affiche pas :modoreussi:

Mais le truc bizarre c'est que les polices s'affichent sous GNOME, mais pas dans firefox, par exemple :chinois:

Enfin, je sais pas si je vais réinstaller, mettre une kororaa, ou que sais-je :|

Link to post
Share on other sites

avis aux amateurs de gentoo:

j'aimerais qu'à l'avenir on évite on évite de parler de gentoo (ca vaut aussi pour les autres distribs "élististes", mais le fait est que c'est gentoo qui pose problème le plus souvent) dans les topics pour débutants. Sauf bien sur si le débutant en question réclame explicitement une distrib du genre.

Je trouve que ca ne donne pas une très bonne image de la distrib et ca risque d'induire en erreur inutilement. Enfin, je trouve qu'à force ca devient lourd, surtout que ces temps si c'est assez systématique....

Je pense que vous me comprenez :transpi:

Link to post
Share on other sites

Amen Duke :D

Petite question. J'ai une install toute fraiche de la 2006.0 (content je suis :transpi:). J'ai vu qu'il y avait le xorg modulaire et le xorg "classique". Mise à part que le premier est modulaire (:mdr:), quel est la différence entre les deux ?

A première vue, j'allais installer le xorg mod ;)

(juste à la recherche d'info :D)

Link to post
Share on other sites

avis aux amateurs de gentoo:

j'aimerais qu'à l'avenir on évite on évite de parler de gentoo (ca vaut aussi pour les autres distribs "élististes", mais le fait est que c'est gentoo qui pose problème le plus souvent) dans les topics pour débutants. Sauf bien sur si le débutant en question réclame explicitement une distrib du genre.

Je trouve que ca ne donne pas une très bonne image de la distrib et ca risque d'induire en erreur inutilement. Enfin, je trouve qu'à force ca devient lourd, surtout que ces temps si c'est assez systématique....

Je pense que vous me comprenez :D

D'accord Duke, je vais faire attention (c'est vrai que j'ai un peu flashé sur cette distrib et que j'ai pu faire parti facilement des personnes à tord ) :mdr: dsl :mdr:

Amen Duke ;)

Petite question. J'ai une install toute fraiche de la 2006.0 (content je suis :D). J'ai vu qu'il y avait le xorg modulaire et le xorg "classique". Mise à part que le premier est modulaire (:D), quel est la différence entre les deux ?

A première vue, j'allais installer le xorg mod :transpi:

(juste à la recherche d'info :mdr:)

le Xorg Modulaire est en réalité sur Gentoo le Xorg 7.0 qui est nécessaire par exemple pour installer Xgl ...

Link to post
Share on other sites

mokay, bon à savoir :chinois:

bah on va tester ça et au pire j'me fais un petit retour-arrière :censored:

et bon xfce sous xgl spa gagné encore ;)

ben je peux pas te dire, jamais essayé xfce, déjà je vais voir avec e17 ;)

par contre j'ai installé porthole qui est un petit logiciel graphique pour portage et emerge, super pratique !!!

est il possible d'installer Xorg7 à partir de X (en 6.8.2) et de reboot sur le Xorg 7 ?

Link to post
Share on other sites

e17 et xgl ne fonctionneront pas ensemble dixit les dev de e17 (si je dis pas de bétises :chinois).

ouaip, c'est qui me semblait, mais par la suite on m'a confirmer que Xgl ne dépendait pas d'un WM, donc que cela devrait être faisable ... (j'aimerais bien :chinois:, t'imagines e17 en Xgl : la CLASSE !!!)

Link to post
Share on other sites

Je viens de lancer un emerge --ask --deep --update depuis une session ssh. Bon.. ça risque de prendre du temps ;)

Je peux cassé le process sans trop trop de soucis ? ;)

(parce que bon, j'en aurai peut être pour plus de la journée :pleure:)

Link to post
Share on other sites

Archived

This topic is now archived and is closed to further replies.


×
×
  • Create New...